Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.model
Class WebSafeColorSwatchModel

    java.lang.Object
      echopointng.model.WebSafeColorSwatchModel

All Implemented Interfaces:
  ColorSwatchModel

    public class WebSafeColorSwatchModel

extends java.lang.Object
implements ColorSwatchModel

`WebSafeColorSwatchModel` generates the Netscpae defined safe web colors. This fits neatly into a 17x12 row of colors.

Constructor Summary
`WebSafeColorSwatchModel()`

Method Summary
`java.lang.String` | `getColorDescription(Color color)` This is called to return a descriptive string for a color.
`Color[]` | `getColorSwatches()` This is called to return an array of colors to be used as color swatches

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSafeColorSwatchModel

    public WebSafeColorSwatchModel()

Method Detail

### getColorSwatches

    public Color[] getColorSwatches()

  Description copied from interface: `ColorSwatchModel`
  This is called to return an array of colors to be used as color swatches

  Specified by:
    `getColorSwatches` in interface `ColorSwatchModel`
  Returns:
    - an array of colors to be used as color swatches
  See Also:
    `ColorSwatchModel.getColorSwatches()`

### getColorDescription

    public java.lang.String getColorDescription(Color color)

  Description copied from interface: `ColorSwatchModel`
  This is called to return a descriptive string for a color. For example the color 0x6495ED might be called "Cornflower". If there is no description for a color then simply return null.

  Specified by:
    `getColorDescription` in interface `ColorSwatchModel`
  Parameters:
    `color` - - the color to get a description for
  Returns:
    a String description or null if there isnt one
  See Also:
    `ColorSwatchModel.getColorDescription(nextapp.echo2.app.Color)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD